Compare commits

...

6 Commits

Author SHA1 Message Date
40181e25c2 Update pika-build-config/amd64-v3.sh 2024-11-15 17:31:17 +01:00
3f4c80291a Clever way to fix version string, and checkout upstream at intended version (#2)
All checks were successful
PikaOS Package Build Only (amd64-v3) / build (push) Successful in 1m34s
Reviewed-on: #2
Reviewed-by: ferreo <ferreo@noreply.pika>
Co-authored-by: Renaud Lepage <root@cybikbase.com>
Co-committed-by: Renaud Lepage <root@cybikbase.com>
2024-11-13 20:18:22 +01:00
dcca463d51 Update .github/release-nest-v3
All checks were successful
PikaOS Package Build & Release (amd64-v3) / build (push) Successful in 1m37s
2024-11-13 20:02:06 +01:00
fbe4dba108 Update main.sh 2024-11-13 20:01:57 +01:00
8535663a59 0.16 (#1)
Some checks failed
PikaOS Package Build Only (amd64-v3) / build (push) Failing after 1m15s
* Upstream release
* Script naming

Reviewed-on: #1
Reviewed-by: ferreo <ferreo@noreply.pika>
Co-authored-by: Renaud Lepage <root@cybikbase.com>
Co-committed-by: Renaud Lepage <root@cybikbase.com>
2024-11-13 19:46:29 +01:00
bdd0b0c5e5 Update .github/release-nest-v3
All checks were successful
PikaOS Package Build & Release (amd64-v3) / build (push) Successful in 47s
2024-09-14 18:10:28 +02:00
5 changed files with 31 additions and 10 deletions

View File

@ -1 +1 @@
21
23

13
debian/changelog vendored
View File

@ -1,3 +1,16 @@
sbctl (0.16.0-101pika2) pika; urgency=low
* Build proper version sources
-- cybik <root@cybik.moe> Wed, 13 Nov 2024 11:15:00 -0800
sbctl (0.16.0-101pika1) pika; urgency=low
* Upstream release
* Rename pkexec intermediate script to match original command
-- cybik <root@cybik.moe> Wed, 13 Nov 2024 10:45:00 -0800
sbctl (0.15.4-101pika1) pika; urgency=low
* Initial release.

2
debian/rules vendored
View File

@ -53,7 +53,7 @@ export PIKA_BUILD_ARCH = $(shell cat ../pika-build-arch)
override_dh_auto_install:
dh_auto_install
install -Dm755 debian/sbctl-pkexec debian/sbctl/usr/bin/sbctl-pkexec
install -Dm755 debian/sbctl-pkexec debian/sbctl/usr/bin/sbctl
override_dh_usrlocal:
echo "disabled"

14
main.sh
View File

@ -6,13 +6,13 @@ set -e
echo "$PIKA_BUILD_ARCH" > pika-build-arch
VERSION="0.15.4"
VERSION="0.16"
# Clone Upstream
UPSTREAM_NAME="sbctl"
# Checkout and munch
git clone https://github.com/Foxboron/sbctl.git "${UPSTREAM_NAME}"
git clone https://github.com/Foxboron/sbctl.git "${UPSTREAM_NAME}" -b "${VERSION}"
cp -rvf ./debian ./${UPSTREAM_NAME}/
# easier than figuring out the right way to override the prefix in the makefile
@ -22,8 +22,16 @@ sed -i "s/\$(PREFIX)\/bin/\$(PREFIX)\/sbin/" "${UPSTREAM_NAME}/Makefile"
# Get in there.
pushd "./${UPSTREAM_NAME}/" || exit 1
# Clever way to auto-add a .0 if the upstream version is not semver
VER_PER_COUNT="${VERSION//[^\.]}"
if (( ${#VER_PER_COUNT} < 2 )); then
TRUE_VERSION="${VERSION}.0"
else
TRUE_VERSION="${VERSION}"
fi
# Get build deps
LOGNAME=root dh_make --createorig -y -l -p ${UPSTREAM_NAME}_"$VERSION" || echo "dh-make: Ignoring Last Error"
LOGNAME=root dh_make --createorig -y -l -p "${UPSTREAM_NAME}_$TRUE_VERSION" || echo "dh-make: Ignoring Last Error"
apt-get build-dep ./ -y
# Build package

View File

@ -1,10 +1,10 @@
#! /bin/bash
export PIKA_BUILD_ARCH="amd64-v3"
export DEBIAN_FRONTEND="noninteractive"
export DEB_BUILD_MAINT_OPTIONS="optimize=+lto -march=x86-64-v3 -O3 -flto -fuse-linker-plugin -falign-functions=32"
export DEB_CFLAGS_MAINT_APPEND="-march=x86-64-v3 -O3 -flto -fuse-linker-plugin -falign-functions=32"
export DEB_CPPFLAGS_MAINT_APPEND="-march=x86-64-v3 -O3 -flto -fuse-linker-plugin -falign-functions=32"
export DEB_CXXFLAGS_MAINT_APPEND="-march=x86-64-v3 -O3 -flto -fuse-linker-plugin -falign-functions=32"
export DEB_LDFLAGS_MAINT_APPEND="-march=x86-64-v3 -O3 -flto -fuse-linker-plugin -falign-functions=32"
export DEB_BUILD_MAINT_OPTIONS="optimize=+lto -march=x86-64-v3 -O3 -flto=auto"
export DEB_CFLAGS_MAINT_APPEND="-march=x86-64-v3 -O3 -flto=auto"
export DEB_CPPFLAGS_MAINT_APPEND="-march=x86-64-v3 -O3 -flto=auto"
export DEB_CXXFLAGS_MAINT_APPEND="-march=x86-64-v3 -O3 -flto=auto"
export DEB_LDFLAGS_MAINT_APPEND="-march=x86-64-v3 -O3 -flto=auto"
export DEB_BUILD_OPTIONS="nocheck notest terse"
export DPKG_GENSYMBOLS_CHECK_LEVEL=0